Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.engines
Class BlowfishEngine

    java.lang.Object
      org.bouncycastle.crypto.engines.BlowfishEngine

All Implemented Interfaces:
  BlockCipher

    public final class BlowfishEngine

extends java.lang.Object
implements BlockCipher

A class that provides Blowfish key encryption operations, such as encoding data and generating keys. All the algorithms herein are from Applied Cryptography and implement a simplified cryptography interface.

Constructor Summary
`BlowfishEngine()`

Method Summary
`java.lang.String` `getAlgorithmName()` Return the name of the algorithm the cipher implements.
`int` `getBlockSize()` Return the block size for this cipher (in bytes).
`void` `init(boolean encrypting, CipherParameters params)` initialise a Blowfish cipher.
`int` `processBlock(byte[] in, int inOff, byte[] out, int outOff)` Process one block of input from the array in and write it to the out array.
`void` `reset()` Reset the cipher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlowfishEngine

    public BlowfishEngine()

Method Detail

### init

    public void init(boolean encrypting,
                     CipherParameters params)

  initialise a Blowfish cipher.

  Specified by:
    `init` in interface `BlockCipher`
  Parameters:
    `encrypting` - whether or not we are for encryption.
    `params` - the parameters required to set up the cipher.
  Throws:
    `java.lang.IllegalArgumentException` - if the params argument is inappropriate.

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `BlockCipher`
  Return the name of the algorithm the cipher implements.

  Specified by:
    `getAlgorithmName` in interface `BlockCipher`
  Returns:
    the name of the algorithm the cipher implements.

### processBlock

    public final int processBlock(byte[] in,
                                  int inOff,
                                  byte[] out,
                                  int outOff)

  Description copied from interface: `BlockCipher`
  Process one block of input from the array in and write it to the out array.

  Specified by:
    `processBlock` in interface `BlockCipher`
  Parameters:
    `in` - the array containing the input data.
    `inOff` - offset into the in array the data starts at.
    `out` - the array the output data will be copied into.
    `outOff` - the offset into the out array the output will start at.
  Returns:
    the number of bytes processed and produced.

### reset

    public void reset()

  Description copied from interface: `BlockCipher`
  Reset the cipher. After resetting the cipher is in the same state as it was after the last init (if there was one).

  Specified by:
    `reset` in interface `BlockCipher`

### getBlockSize

    public int getBlockSize()

  Description copied from interface: `BlockCipher`
  Return the block size for this cipher (in bytes).

  Specified by:
    `getBlockSize` in interface `BlockCipher`
  Returns:
    the block size for this cipher in bytes.

Bouncy Castle Cryptography Library 1.45